- 0.204.0-beta (latest)
- 0.203.0-beta
- 0.202.0-beta
- 0.201.0-beta
- 0.199.0-beta
- 0.197.0-beta
- 0.196.0-beta
- 0.195.0-beta
- 0.194.0-beta
- 0.193.0-beta
- 0.191.0-beta
- 0.189.0-beta
- 0.188.0-beta
- 0.185.0-beta
- 0.184.0-beta
- 0.183.0-beta
- 0.181.0-beta
- 0.180.0-beta
- 0.179.0-beta
- 0.178.0-beta
- 0.177.0-beta
- 0.176.0-beta
- 0.175.0-beta
- 0.174.0-beta
- 0.173.0-beta
- 0.172.0-beta
- 0.170.0-beta
- 0.169.0-beta
- 0.168.0-beta
- 0.167.0-beta
- 0.166.0-beta
- 0.165.0-beta
- 0.164.0-beta
- 0.163.0-beta
- 0.162.0-beta
- 0.161.0-beta
- 0.160.0-beta
- 0.158.0-beta
- 0.157.0-beta
- 0.156.0-beta
- 0.155.0-beta
- 0.154.0-beta
- 0.153.0-beta
- 0.152.0-beta
- 0.151.0-beta
- 0.150.0-beta
- 0.149.0-beta
- 0.148.0-beta
- 0.145.0-beta
- 0.144.0-beta
- 0.143.0-beta
- 0.142.0-beta
- 0.141.0-beta
- 0.140.0-beta
- 0.139.0-beta
- 0.138.0-beta
- 0.137.0-beta
- 0.136.0-beta
- 0.135.0-beta
- 0.134.0-beta
- 0.133.0-beta
- 0.132.0-beta
- 0.130.0-beta
- 0.129.0-beta
- 0.128.0-beta
- 0.127.0-beta
- 0.126.0-beta
- 0.125.0-beta
- 0.124.15-beta
- 0.123.4-beta
- 0.122.23-beta
public static final class ListEventsResponse.Builder extends GeneratedMessage.Builder<ListEventsResponse.Builder> implements ListEventsResponseOrBuilderContains a set of requested error events.
Protobuf type google.devtools.clouderrorreporting.v1beta1.ListEventsResponse
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > ListEventsResponse.BuilderImplements
ListEventsResponseOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllErrorEvents(Iterable<? extends ErrorEvent> values)
public ListEventsResponse.Builder addAllErrorEvents(Iterable<? extends ErrorEvent> values)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<? extends com.google.devtools.clouderrorreporting.v1beta1.ErrorEvent> |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
addErrorEvents(ErrorEvent value)
public ListEventsResponse.Builder addErrorEvents(ErrorEvent value)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
ErrorEvent |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
addErrorEvents(ErrorEvent.Builder builderForValue)
public ListEventsResponse.Builder addErrorEvents(ErrorEvent.Builder builderForValue)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
ErrorEvent.Builder |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
addErrorEvents(int index, ErrorEvent value)
public ListEventsResponse.Builder addErrorEvents(int index, ErrorEvent value)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
ErrorEvent |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
addErrorEvents(int index, ErrorEvent.Builder builderForValue)
public ListEventsResponse.Builder addErrorEvents(int index, ErrorEvent.Builder builderForValue)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
ErrorEvent.Builder |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
addErrorEventsBuilder()
public ErrorEvent.Builder addErrorEventsBuilder()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
ErrorEvent.Builder |
|
addErrorEventsBuilder(int index)
public ErrorEvent.Builder addErrorEventsBuilder(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ErrorEvent.Builder |
|
build()
public ListEventsResponse build()| Returns | |
|---|---|
| Type | Description |
ListEventsResponse |
|
buildPartial()
public ListEventsResponse buildPartial()| Returns | |
|---|---|
| Type | Description |
ListEventsResponse |
|
clear()
public ListEventsResponse.Builder clear()| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
clearErrorEvents()
public ListEventsResponse.Builder clearErrorEvents()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
clearNextPageToken()
public ListEventsResponse.Builder clearNextPageToken()If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
This builder for chaining. |
clearTimeRangeBegin()
public ListEventsResponse.Builder clearTimeRangeBegin()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
getDefaultInstanceForType()
public ListEventsResponse getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
ListEventsResponse |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getErrorEvents(int index)
public ErrorEvent getErrorEvents(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ErrorEvent |
|
getErrorEventsBuilder(int index)
public ErrorEvent.Builder getErrorEventsBuilder(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ErrorEvent.Builder |
|
getErrorEventsBuilderList()
public List<ErrorEvent.Builder> getErrorEventsBuilderList()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
List<Builder> |
|
getErrorEventsCount()
public int getErrorEventsCount()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
int |
|
getErrorEventsList()
public List<ErrorEvent> getErrorEventsList()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
List<ErrorEvent> |
|
getErrorEventsOrBuilder(int index)
public ErrorEventOrBuilder getErrorEventsOrBuilder(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ErrorEventOrBuilder |
|
getErrorEventsOrBuilderList()
public List<? extends ErrorEventOrBuilder> getErrorEventsOrBuilderList()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.devtools.clouderrorreporting.v1beta1.ErrorEventOrBuilder> |
|
getNextPageToken()
public String getNextPageToken()If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public ByteString getNextPageTokenBytes()If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getTimeRangeBegin()
public Timestamp getTimeRangeBegin()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
Timestamp |
The timeRangeBegin. |
getTimeRangeBeginBuilder()
public Timestamp.Builder getTimeRangeBeginBuilder()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getTimeRangeBeginOrBuilder()
public TimestampOrBuilder getTimeRangeBeginOrBuilder()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
TimestampOrBuilder |
|
hasTimeRangeBegin()
public boolean hasTimeRangeBegin()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the timeRangeBegin field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(ListEventsResponse other)
public ListEventsResponse.Builder mergeFrom(ListEventsResponse other)| Parameter | |
|---|---|
| Name | Description |
other |
ListEventsResponse |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public ListEventsResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public ListEventsResponse.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
mergeTimeRangeBegin(Timestamp value)
public ListEventsResponse.Builder mergeTimeRangeBegin(Timestamp value)The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
Timestamp |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
removeErrorEvents(int index)
public ListEventsResponse.Builder removeErrorEvents(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
setErrorEvents(int index, ErrorEvent value)
public ListEventsResponse.Builder setErrorEvents(int index, ErrorEvent value)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
ErrorEvent |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
setErrorEvents(int index, ErrorEvent.Builder builderForValue)
public ListEventsResponse.Builder setErrorEvents(int index, ErrorEvent.Builder builderForValue)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
ErrorEvent.Builder |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
setNextPageToken(String value)
public ListEventsResponse.Builder setNextPageToken(String value)If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe nextPageToken to set. |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
This builder for chaining. |
setNextPageTokenBytes(ByteString value)
public ListEventsResponse.Builder setNextPageTokenBytes(ByteString value)If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for nextPageToken to set. |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
This builder for chaining. |
setTimeRangeBegin(Timestamp value)
public ListEventsResponse.Builder setTimeRangeBegin(Timestamp value)The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
Timestamp |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|
setTimeRangeBegin(Timestamp.Builder builderForValue)
public ListEventsResponse.Builder setTimeRangeBegin(Timestamp.Builder builderForValue)The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
ListEventsResponse.Builder |
|